### Class

# FwupdPlugin Archive

#### Description [src]

    final class FwupdPlugin.Archive : GObject.Object
    {
      /* No available fields */
    }

An in-memory archive decompressor.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_archive_new

Parses `data` as an archive and decompresses all files to memory blobs.

since: 1.2.2

###### fu_archive_new_stream

Parses `stream` as an archive and decompresses all files to memory blobs.

since: 2.0.0

#### Functions

###### fu_archive_compression_from_string

Converts a string to an enumerated value.

###### fu_archive_compression_to_string

Converts an enumerated value to a string.

###### fu_archive_format_from_string

Converts a string to an enumerated value.

###### fu_archive_format_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_archive_add_entry

Adds, or replaces an entry to an archive.

since: 1.8.1

###### fu_archive_iterate

Iterates over the archive contents, calling the given function for each of the files found. If any `callback` returns `FALSE` scanning is aborted.

since: 1.3.4

###### fu_archive_lookup_by_fn

Finds the blob referenced by filename.

since: 1.2.2

###### fu_archive_write

Writes an archive with specified `format` and `compression`.

since: 1.8.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginArchiveClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.